- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# kprintf.h File Reference

`#include <ubixos/types.h>`

Include dependency graph for kprintf.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | kprintf (const char *fmt,...)
int | ogPrintf (char *)
## Variables
int | ogprintOff
int | printOff

## Function Documentation

int kprintf | ( | const char * | fmt,
|  |  | ... |
| ) |  |  |

Definition at line 38 of file kprintf.c.

References kprint(), printOff, vaEnd, vaStart, and vsprintf().

Here is the call graph for this function:

int ogPrintf | ( | char * |  | ) |

Definition at line 42 of file ogprintf.cc.

References vitalsStruct::font, vitalsStruct::screen, and systemVitals.

## Variable Documentation

int ogprintOff

Definition at line 36 of file kprintf.c.

int printOff

Definition at line 35 of file kprintf.c.